Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 84868

Summary: marvosym font broken
Product: [Retired] Red Hat Linux Reporter: Gerald Teschl <gt>
Component: ghostscriptAssignee: Tim Waugh <twaugh>
Status: CLOSED RAWHIDE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: m.m.vanpaassen
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-06-25 14:00:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Gerald Teschl 2003-02-22 14:22:12 UTC
The font wich provides the euro symbol seems broken (or
otherwise gs is broken). This is quite problematic, since one can
no longer print the euro symbol in TeX.

This is the error I get when trying to view a file using the
euro symbol with xdvi:

kpathsea: Running mktexpk --mfmode cx --bdpi 300 --ma
g 1+60/300 --dpi 360 fmvr8x
mktexpk: Running gsftopk fmvr8x 360
gsftopk(k) version 1.17/705
[0gs: Error: /undefined in ¶j´¯ºÃv
gs: Operand stack:
gs:    --dict:8/12(L)--   --dict:8/12(L)--   Private   --dict:13/16(L)--   --dic
t:8/12(L)--   CharStrings   --dict:205/206(L)--   n   (\020\2771py\311\2552\316\
      
272u\315\255\356?\352\327p,\035\207\232\0256\252\000'\307\245\345\013j\304\324\0
       24V\310#r\001\321\256\013v?\350\030\363\t\020V?\206)
gs: Execution stack:
gs:    %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostring
       val--   2   %stopped_push   --nostringval--   --nostringval--  
--nostringval--           false   1   %stopped_push   1   3   %oparray_pop   1 
 3   %oparray_pop   1           3   %oparray_pop   .runexec2   --nostringval-- 
 --nostringval--   --nostringval        --   2   %stopped_push   --nostringval--
  --nostringval--   2   3   %oparray_po        p   --nostringval--  
--nostringval--   --nostringval--   --nostringval--
gs: Dictionary stack:
gs:    --dict:1050/1123(ro)(G)--   --dict:0/20(G)--   --dict:112/200(L)--   --di
       ct:1050/1123(ro)(G)--   --dict:13/16(L)--   --dict:205/206(L)--
gs: Current allocation mode is local
GNU Ghostscript 7.05: Unrecoverable error, exit code 1

Premature end of file
grep: fmvr8x.log: No such file or directory
mktexpk: `gsftopk fmvr8x 360' failed to make fmvr8x.360pk.

Comment 1 Gerald Teschl 2003-02-22 14:36:23 UTC
Just did some further investigations. Here is my sample tex file

-------------
\documentclass{article}
\usepackage{marvosym}

\begin{document}
\EUR 110
\end{document}
-------------

1) 8.0 works
2) Using /usr/share/texmf/fonts/tfm/public/marvosym/fmvr8x.tfm from 8.0
produces the same gs error.

So maybe this is a bug in gs after all.

Comment 2 Gerald Teschl 2003-04-07 20:34:44 UTC
Still present in 9. This brings the euro support in redhat linux to an
all time low;-(

Comment 3 Tim Waugh 2003-04-09 13:43:13 UTC
Seems to work in ghostscript-7.06-1 in rawhide.

Comment 4 Gerald Teschl 2003-04-09 21:47:34 UTC
No, I still get the same error.

tetex-1.0.7-66
tetex-xdvi-1.0.7-66
ghostscript-7.06-1


Comment 5 Rene van Paassen 2003-05-22 14:48:10 UTC
I found that it is in the marvosym package. Including the eurosym package, I get
quite a nice euro symbol. (You can leave marvosym in too). The euro symbol also 
shows up in postscript files with ggv. 

I have also been experimenting with unicode support, to replace the isolatin1
support I used to use on older set-ups. This works quite nicely for me:

\documentclass[a4paper,12pt]{article}
\usepackage{ucs}
\usepackage[utf8]{inputenc}
\usepackage{eurosym}
\begin{document}

\euro abcd ⬠é ó ñ ¡
 
\end{document}

I also had to add a Multi_key to input niceties such as the euro symbol and
the spanish inverted exclamation mark, edited my .gkbd_default.xmm for that,
and am using the keyboard switcher to switch this on and off. 
each new version of redhat needs new tricks!

Thanks for reporting the bug, the bug information really helped me with my
search for euro support.

  René

(now I hope the above accented symbols get in)

Comment 6 Tim Waugh 2003-05-23 10:15:43 UTC
Perhaps it is the new tetex that fixes it then.  These:

http://cyberelk.net/tim/docbook/selfdocbook.pdf
http://cyberelk.net/tim/docbook/selfdocbookx.pdf

were both produced on a current rawhide system.  Both have euro symbols.


Comment 7 Rene van Paassen 2003-05-23 11:10:20 UTC
Checked this, and you are right, the euro symbol is displayed with the rawhide
tetex package tetex-2.0.2-5.i386.rpm

However, ucs.sty is not included in that tetex. What is the replacement?
Or should I open a new bug?

Tim, 

The statement about the fact that your docbook stuff displays a euro symbol is 
not really helpful. Gerald and I both supplied a sample latex file, one with a 
broken and one with a working euro symbol. The docbook scripts use yet another
method to generate the dvi file, with pure tex, no latex, so they are likely to
be unaffected by the bug. 

   René

Comment 8 Tim Waugh 2003-05-23 15:31:55 UTC
See bug #71498.

Point taken about DocBook -> PDF.

Comment 9 Gerald Teschl 2003-06-01 16:29:15 UTC
ghostscript-7.05-32.1 still produces the same error (and so does
ghostscript-7.06-1). Using eurosym instead of marvosym, produces
a working euro sign, but all the other symbols provided by marvosym
are still broken.

Comment 10 Tim Waugh 2003-06-25 14:00:14 UTC
Gerald: even with the rawhide tetex?  Are you using \euro etc?  Your test case
from comment #1 works fine for me with rawhide tetex/ghostscript.

Comment 11 Gerald Teschl 2003-06-25 16:50:32 UTC
Confirmed. Works now. Thanks.